package net.halbear.aotg.registries;

import net.minecraft.resources.Identifier;
import net.minecraft.tags.ItemTags;
import net.minecraft.tags.TagKey;
import net.minecraft.world.item.Item;

public class ModTags {
    public static class Items{
        public static final TagKey<Item> SWORD_REPAIR_MATERIAL = create("xiphon_repair_material");

        private static TagKey<Item> create(String name) {
            return ItemTags.create(Identifier.fromNamespaceAndPath("ageofthegods", name));
        }
    }
}
